All of lore.kernel.org
 help / color / mirror / Atom feed
From: Alexander Kapshuk <alexander.kapshuk@gmail.com>
To: jolsa@kernel.org, acme@kernel.org
Cc: mingo@kernel.org, namhyung@kernel.org, dsahern@gmail.com,
	alexander.shishkin@linux.intel.com, a.p.zijlstra@chello.nl,
	linux-kernel@vger.kernel.org, alexander.kapshuk@gmail.com
Subject: [PATCH] perf tools: Fix check-headers.sh AND list path of execution
Date: Sat, 11 Aug 2018 11:39:15 +0300	[thread overview]
Message-ID: <20180811083915.17471-1-alexander.kapshuk@gmail.com> (raw)
In-Reply-To: <20180723070145.GB7523@krava>

The '||' path of execution in the 'test' block of the check_2() function
may also be taken if file2 does not exist, in which case the warning
message about the ABI headers being different would still be printed
where it should not be.  See below.

% file1=file1; file2=file2
% cmd="echo diff $file1 $file2"
% test -f $file2 &&
eval $cmd || echo "Warning: Kernel ABI header at 'tools/$file1'
differs from latest version at '$file2'" >&2
Warning: Kernel ABI header at 'tools/file1' differs from latest
version at 'file2'

The proposed patch converts the code following the '&&' operator into a
compound list to be executed in the current process environment only if
file2 does exist. Should the files being compared differ, a diff command
to compare the files concerned is printed on standard output. E.g.

diff -u tools/arch/x86/lib/memcpy_64.S arch/x86/lib/memcpy_64.S

Signed-off-by: Alexander Kapshuk <alexander.kapshuk@gmail.com>
---
 tools/perf/check-headers.sh | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

diff --git a/tools/perf/check-headers.sh b/tools/perf/check-headers.sh
index de28466c0186..ea48aa6f8d19 100755
--- a/tools/perf/check-headers.sh
+++ b/tools/perf/check-headers.sh
@@ -67,8 +67,12 @@ check_2 () {
 
   cmd="diff $* $file1 $file2 > /dev/null"
 
-  test -f $file2 &&
-  eval $cmd || echo "Warning: Kernel ABI header at 'tools/$file' differs from latest version at '$file'" >&2
+  test -f $file2 && {
+    eval $cmd || {
+      echo "Warning: Kernel ABI header at 'tools/$file' differs from latest version at '$file'" >&2
+      echo diff -u tools/$file $file
+    }
+  }
 }
 
 check () {
-- 
2.18.0


  parent reply	other threads:[~2018-08-11  8:40 UTC|newest]

Thread overview: 30+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-07-20 11:00 [PATCH 1/4] perf tools: Use perf_evsel__match in perf_evsel__is_bpf_output Jiri Olsa
2018-07-20 11:00 ` [PATCH 2/4] perf stat: Get rid of extra clock display function Jiri Olsa
2018-07-25 20:53   ` [tip:perf/core] " tip-bot for Jiri Olsa
2018-07-20 11:00 ` [PATCH 3/4] perf tools: Fix check-headers.sh output file variables Jiri Olsa
2018-07-20 14:57   ` Arnaldo Carvalho de Melo
2018-07-20 15:15     ` Jiri Olsa
2018-07-20 15:22       ` Alexander Kapshuk
2018-07-23  7:01         ` Jiri Olsa
     [not found]           ` <CAJ1xhMUZc88fJwdLL-SitEasyVnomcVHV6+vTyJYAcXGo10C5A@mail.gmail.com>
2018-07-26  6:22             ` Jiri Olsa
2018-08-11  8:39           ` Alexander Kapshuk [this message]
2018-08-13 11:15             ` [PATCH 1/2] perf tools: Make check-headers.sh check based on kernel dir Jiri Olsa
2018-08-13 11:15               ` [PATCH 2/2] perf tools: Move syscall_64.tbl check into check-headers.sh Jiri Olsa
2018-08-18 11:57                 ` [tip:perf/urgent] " tip-bot for Jiri Olsa
2018-08-14  1:47               ` [PATCH 1/2] perf tools: Make check-headers.sh check based on kernel dir Michael Ellerman
2018-08-14  7:27                 ` Jiri Olsa
2018-08-14 18:06                   ` Arnaldo Carvalho de Melo
2018-08-14 23:11                     ` Jiri Olsa
2018-08-15 10:02                       ` Michael Ellerman
2018-08-15 15:01                         ` Arnaldo Carvalho de Melo
2018-08-16  1:35                           ` Michael Ellerman
2018-08-18 11:56                   ` [tip:perf/urgent] " tip-bot for Jiri Olsa
2018-08-13 11:16             ` [PATCH] perf tools: Fix check-headers.sh AND list path of execution Jiri Olsa
2018-08-13 11:19               ` Alexander Kapshuk
2018-08-13 18:58                 ` Arnaldo Carvalho de Melo
2018-08-14  6:12                   ` Alexander Kapshuk
2018-08-18 11:56             ` [tip:perf/urgent] " tip-bot for Alexander Kapshuk
2018-07-20 11:00 ` [PATCH 4/4] perf tools: Move syscall_64.tbl check into check-headers.sh Jiri Olsa
2018-07-20 15:03   ` Arnaldo Carvalho de Melo
2018-07-20 15:14     ` Jiri Olsa
2018-07-25 20:52 ` [tip:perf/core] perf tools: Use perf_evsel__match instead of open coded equivalent tip-bot for Jiri Olsa

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20180811083915.17471-1-alexander.kapshuk@gmail.com \
    --to=alexander.kapshuk@gmail.com \
    --cc=a.p.zijlstra@chello.nl \
    --cc=acme@kernel.org \
    --cc=alexander.shishkin@linux.intel.com \
    --cc=dsahern@gmail.com \
    --cc=jolsa@kernel.org \
    --cc=linux-kernel@vger.kernel.org \
    --cc=mingo@kernel.org \
    --cc=namhyung@kernel.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.